Package org.eclipse.emf.compare.ide.ui.internal.logical.view

# Enum Class LogicalModelView.Presentation

java.lang.Object
java.lang.Enum<LogicalModelView.Presentation>
org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelView.Presentation

All Implemented Interfaces:
  `Serializable`, `Comparable<LogicalModelView.Presentation>`, `java.lang.constant.Constable`

Enclosing class:
  `LogicalModelView`

public static enum LogicalModelView.Presentation extends Enum<LogicalModelView.Presentation>
Presentation mode of the viewer.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LIST`
Show files in flat list.
`TREE`
Show folder structure in full tree.

## Method Summary

Modifier and Type
Method
Description
`static LogicalModelView.Presentation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogicalModelView.Presentation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LIST

public static final LogicalModelView.Presentation LIST
Show files in flat list.

### TREE

public static final LogicalModelView.Presentation TREE
Show folder structure in full tree.

## Method Details

### values

public static LogicalModelView.Presentation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LogicalModelView.Presentation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null